Subject: Re: Compatibility problem: Cygwin make and makefile filename case
From: Earnie Boyd <[email-masked]>
To: Frank Ellert <[email-masked]>
Cc: [email-masked]
Date: Wed, 22 Nov 2000 07:21:08 -0800 (PST)

--- Frank Ellert <[email-masked]> wrote:
> Earnie Boyd <[email-masked]> writes:
> 
> >Cygwin is emulating UNIX and IIRC the defacto standard for UNIX is for the
> make
> >file to be named makefile or Makefile.  The GNU version of make has also
> >allowed for GNUmakefile as well to allow for a native make and the GNU make
> to
> >coexist in the same architecture.
> >
> >You have been given the source code and should be able to patch read.c of
> GNU
> >make to do what you want it to.  Isn't Open Source great?
> 
> Thank you for your answer, but it doesn't solve my problem.
> 
> I work in a project that delevops a multi-platform (at the time of
> writing for DOS, Win32, OS/2, Linux and FreeBSD) messaging client in
> Pascal.  (The source is published but has a proprietary license.
> <http://www.openxp.de/>)
> 

I wasn't talking about your sources I was talking about the sources to make. 
You can modify make to do what you want.

An aside, linking your proprietary program with libcygwin.a forces it to be
GPL, unless you buy a proprietary use license from Red Hat.  You will need to
distribute not only your sources under the GPL but also all of the sources
required to build Cygwin.  Refer to http://cygwin.com for precise licensing.

> We use GNU make to build the source on all platforms.  (With different
> Pascal compilers, _not_ with GCC.)  We _don't_ use tar but some other
> archiver.
> 

If the other archiver isn't a Cygwin program, don't bother this list.  This
list only supports Cygwin related ports and issues.

> The problem is: We cannot make the sources completely 8+3-clean (for
> DOS) since on one plattform (Win32 with Cygwin make) in some
> situations a makefile called "makefile" won't be found.  So we have to
> call the makefile "Makefile".
> 

The read.c source of the make package looks for GNUmakefile, makefile and
Makefile.  Your non-Cygwin archiver is allowing DOS to change makefile to
MAKEFILE.  You can change read.c of the make package to also search for
MAKEFILE.  Or, you can also distribute a GNUmakefile.

> The other platforms (including DJGPP GNU make on DOS witch is also
> LFN-aware) don't habe the problem.
> 

This has nothing to do with LFN.  It has to do with filename case.

> >If you use the appropriate Cygwin tools to archive and unarchive the file
> then
> >you won't have a problem.  Problems with non-Cygwin tools are not supported.
> 
> Is that really the last answer?
> 

YES!  Problems with NON-Cygwin tools are not supported by this list.  *You*
have to create a patch to solve that problem.  That is why we support Open
Source.  It allows *you* the opportunity to modify the source to fix a problem
you're having with it.  We would gratefully consider any patch that you might
submit. 

> >It would be great if *you* fix that problem.
> 
> Of course I would submit a patch if necessary.  It should be rather
> trivial.  (Not for me.  I would have to install the whole Cygwin
> compiler stuff before being able to do that simple patch to make make
> also look for "MAKEFILE".)
> 

No, you just need the sources for make.  This has nothing to do with the Cygwin
runtime.

> >" who has the Swing in itself, can no more in the equal step march. " Coco
> >Schumann, Jazzer, survivor of the KZ Theresienstadt 
> 
> Is that good English?  If yes I would put it in my .signature in the
> future.
> 

Rewording is probably desirable, but it gives enough mental picture to
understand it.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Shopping - Thousands of Stores. Millions of Products.
http://shopping.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]